# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "podcli"
version = "0.5.0"
authors = ["Lorenzo Carbonell (a.k.a. atareao) <lorenzo.carbonell.cerezo@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A CLI podcast manager and player written in Rust"
readme = "README.md"
license = "MIT"
repository = "https://github.com/atareao/podcli-rs"

[[bin]]
name = "podcli"
path = "src/main.rs"

[dependencies.clap]
version = "4.5"
features = ["derive"]

[dependencies.colored]
version = "3"

[dependencies.html2md]
version = "0.2"

[dependencies.inquire]
version = "0.9"

[dependencies.itertools]
version = "0.14"

[dependencies.regex]
version = "1.12"

[dependencies.reqwest]
version = "0.13"

[dependencies.rodio]
version = "0.21"

[dependencies.roxmltree]
version = "0.21"

[dependencies.spinners]
version = "4.1"

[dependencies.termimad]
version = "0.34"

[dependencies.tokio]
version = "1.49"
features = ["full"]

[dependencies.tracing]
version = "0.1.44"

[dependencies.tracing-subscriber]
version = "0.3.22"
features = [
    "local-time",
    "env-filter",
]
